Story9/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('accounts/',include('django.contrib.auth.urls')),
    path('', include('main.urls')),
]

main/urls.py
from django.urls import path
from . import views

app_name="registration"

urlpatterns=[
    path('',views.home,name='home'),
    path('accounts/register/',views.register,name='register')
]

main/models.py
from django.db import models

# Create your models here.

main/views.py
from django.shortcuts import render
from django.contrib import messages
from django.contrib.auth.forms import UserCreationForm
def home(request):
    return render(request,'home.html')

# User Register
def register(request):
    form=UserCreationForm
    if request.method=='POST':
        regForm=UserCreationForm(request.POST)
        if regForm.is_valid():
            regForm.save()
            messages.success(request,'User has been registered.')
    return render(request,'registration/register.html',{'form':form})

main/templates/main/home.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Home Page</title>
{% endblock meta %}

{% block content %}
<div class="container" style="width: 800px; margin:0 auto;">
  {% if user.is_authenticated %}
  <a href="{% url 'logout' %}">Logout</a>
  {% else %}
  <a href="{% url 'registration.login' %}">Login</a>
  |
  <a href="{% url 'registration.register' %}">Register</a>
  {% endif %}
  <h2>All Posts</h2>
  <hr/>
  <h4>First Post</h4>
  <p>First Post Description</p>
  <hr/>
  <h4>Second Post</h4>
  <p>First Post Description</p>
  <hr/>
  <h4>Third Post</h4>
  <p>First Post Description</p>
  <hr/>
</div>
{% endblock content %}

main/templates/main/login.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login User</title>
</head>
<body>
    <h3>Login Form</h3>
    <hr/>
    {% if messages %}
        {% for message in messages %}
        <p>{{message}}</p>
        {% endfor %}
    {% endif %}
    <form method="post" action="">
        {% csrf_token %}
        {{form.as_p}}
        <input type="submit" />
    </form>
</body>
</html>

main/templates/main/register.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Register User</title>
</head>
<body>
    <h3>Register Form</h3>
    <hr/>
    {% if messages %}
        {% for message in messages %}
        <p>{{message}}</p>
        {% endfor %}
    {% endif %}
    <form method="post" action="">
        {% csrf_token %}
        {{form.as_p}}
        <input type="submit" />
    </form>
</body>
</html>

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  {% block meta %}
  {% endblock meta %}
</head>

<body>
  {% block content %}
  {% endblock content %}
</body>

</html>

templates/home.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Home Page</title>
{% endblock meta %}

{% block content %}
<div class="container" style="width: 800px; margin:0 auto;">
  {% if user.is_authenticated %}
  <a href="{% url 'logout' %}">Logout</a>
  {% else %}
  <a href="account/login">Login</a>
  |
  <a href="{% url 'registration:register' %}">Register</a>
  {% endif %}
  <h2>All Posts</h2>
  <hr/>
  <h4>First Post</h4>
  <p>First Post Description</p>
  <hr/>
  <h4>Second Post</h4>
  <p>First Post Description</p>
  <hr/>
  <h4>Third Post</h4>
  <p>First Post Description</p>
  <hr/>
</div>
{% endblock content %}